<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
String cssClass = GetterUtil.getString(request.getAttribute("liferay-staging:status:cssClass"));
StagedModel stagedModel = (StagedModel)request.getAttribute("liferay-staging:status:stagedModel");

Date lastPublishDate = null;
Date modifiedDate = null;

if ((stagedModel != null) && (stagedModel instanceof StagedGroupedModel)) {
	StagedGroupedModel stagedGroupedModel = (StagedGroupedModel)stagedModel;

	lastPublishDate = stagedGroupedModel.getLastPublishDate();
	modifiedDate = stagedGroupedModel.getModifiedDate();
}

boolean published = false;

Group themeDisplayScopeGroup = themeDisplay.getScopeGroup();

boolean stagedPortlet = group.isInStagingPortlet(portletDisplay.getId());

if (stagedPortlet) {
	if (lastPublishDate == null) {
		lastPublishDate = modifiedDate;
	}

	if ((lastPublishDate != null) && lastPublishDate.after(modifiedDate)) {
		published = true;
	}

	if (Validator.isNull(cssClass)) {
		cssClass = "label-success";

		if (!published) {
			cssClass = "label-warning";
		}
	}
}
%>